Page MenuHomePhabricator

[mips][mcjit] Add the majority of N32 support.
ClosedPublic

Authored by sdardis on Sep 14 2016, 6:27 AM.

Details

Summary

The missing piece is relocation composition for %hi(%neg(%gp_rel(x))) and
similar.

Patch by Daniel Sanders

Diff Detail

Event Timeline

sdardis updated this revision to Diff 71342.Sep 14 2016, 6:27 AM
sdardis retitled this revision from to [mips][mcjit] Add the majority of N32 support..
sdardis updated this object.
sdardis added a subscriber: llvm-commits.
vkalintiris accepted this revision.Oct 18 2016, 9:00 AM
vkalintiris edited edge metadata.

LGTM.

This revision is now accepted and ready to land.Oct 18 2016, 9:00 AM
sdardis closed this revision.Oct 20 2016, 8:23 AM

Thanks, committed as rL284724.